use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IInlineSourceBlock {
    pub(crate) value: String,
}

impl IInlineSourceBlock {
    pub(crate) async fn new<'parse>(
        registry: &mut Registry<'parse>,
        original: &organic::types::InlineSourceBlock<'parse>,
    ) -> Result<IInlineSourceBlock, CustomError> {
        Ok(IInlineSourceBlock {
            value: original.value.to_owned(),
        })
    }
}
